#ifndef MARS_MHMcCT1CollectionArea
#define MARS_MHMcCT1CollectionArea

#ifndef MARS_MParContainer
#include "MParContainer.h"
#endif

class TH1D;
class TH2D;


class MHMcCT1CollectionArea : public MParContainer
{
private:
    TH2D *fHistAll; //! all simulated showers
    TH2D *fHistSel; //! the selected showers

    TH1D *fHistCol; //  the collection area

public:
    MHMcCT1CollectionArea(const char *name=NULL, const char *title=NULL);
    ~MHMcCT1CollectionArea();

    void FillSel(Double_t energy, Double_t radius);

    void DrawAll(Option_t *option="");
    void DrawSel(Option_t *option="");

    const TH1D *GetHist() const { return fHistCol; }

    void Draw(Option_t *option="");
    TObject *DrawClone(Option_t *option="") const;

    void CalcEfficiency(Float_t theta);

    ClassDef(MHMcCT1CollectionArea, 1)  // Data Container to calculate Collection Area
};

#endif
